const imagemin = require('imagemin')
const imageminWebp = require('imagemin-webp')

/**
 * @param {Object} 配置参数
 * paths, types, distPath, quality
 * 
 * @return { Promise }
 */
const buildWebp = ({ path = 'images', types = ['png', 'jpg', 'jpeg'], quality = 75 }) => {
  const __path = `${process.cwd()}/client/${path}`

  const paths = [`${__path}/*.{${types.join(',')}}`]
  const distPath = `${__path}/webp`

  return imagemin(paths, distPath, {
    use: [
      imageminWebp({ quality, })
    ]
  })
}

module.exports = {
  buildWebp,
}